Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
248.0.0.0
Broadcast address
248.63.255.255
First usable
248.0.0.1
Last usable
248.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F8000000 · Integer 4160749568 to 4164943871
Reverse DNS zones
0.248.in-addr.arpa
1.248.in-addr.arpa
2.248.in-addr.arpa
3.248.in-addr.arpa
4.248.in-addr.arpa
5.248.in-addr.arpa
6.248.in-addr.arpa
7.248.in-addr.arpa
8.248.in-addr.arpa
9.248.in-addr.arpa
10.248.in-addr.arpa
11.248.in-addr.arpa
12.248.in-addr.arpa
13.248.in-addr.arpa
14.248.in-addr.arpa
15.248.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.00000000.00000000.00000000248.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11111000.00000000.00000000.00000000248.0.0.0
Broadcast11111000.00111111.11111111.11111111248.63.255.255
Split into smaller subnets/18

248.0.0.0/10 makes 256 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.0.0.0/18248.0.0.1 to 248.0.63.254248.0.63.25516,382
2248.0.64.0/18248.0.64.1 to 248.0.127.254248.0.127.25516,382
3248.0.128.0/18248.0.128.1 to 248.0.191.254248.0.191.25516,382
4248.0.192.0/18248.0.192.1 to 248.0.255.254248.0.255.25516,382
5248.1.0.0/18248.1.0.1 to 248.1.63.254248.1.63.25516,382
6248.1.64.0/18248.1.64.1 to 248.1.127.254248.1.127.25516,382
7248.1.128.0/18248.1.128.1 to 248.1.191.254248.1.191.25516,382
8248.1.192.0/18248.1.192.1 to 248.1.255.254248.1.255.25516,382
9248.2.0.0/18248.2.0.1 to 248.2.63.254248.2.63.25516,382
10248.2.64.0/18248.2.64.1 to 248.2.127.254248.2.127.25516,382
11248.2.128.0/18248.2.128.1 to 248.2.191.254248.2.191.25516,382
12248.2.192.0/18248.2.192.1 to 248.2.255.254248.2.255.25516,382
13248.3.0.0/18248.3.0.1 to 248.3.63.254248.3.63.25516,382
14248.3.64.0/18248.3.64.1 to 248.3.127.254248.3.127.25516,382
15248.3.128.0/18248.3.128.1 to 248.3.191.254248.3.191.25516,382
16248.3.192.0/18248.3.192.1 to 248.3.255.254248.3.255.25516,382
17248.4.0.0/18248.4.0.1 to 248.4.63.254248.4.63.25516,382
18248.4.64.0/18248.4.64.1 to 248.4.127.254248.4.127.25516,382
19248.4.128.0/18248.4.128.1 to 248.4.191.254248.4.191.25516,382
20248.4.192.0/18248.4.192.1 to 248.4.255.254248.4.255.25516,382
21248.5.0.0/18248.5.0.1 to 248.5.63.254248.5.63.25516,382
22248.5.64.0/18248.5.64.1 to 248.5.127.254248.5.127.25516,382
23248.5.128.0/18248.5.128.1 to 248.5.191.254248.5.191.25516,382
24248.5.192.0/18248.5.192.1 to 248.5.255.254248.5.255.25516,382
25248.6.0.0/18248.6.0.1 to 248.6.63.254248.6.63.25516,382
26248.6.64.0/18248.6.64.1 to 248.6.127.254248.6.127.25516,382
27248.6.128.0/18248.6.128.1 to 248.6.191.254248.6.191.25516,382
28248.6.192.0/18248.6.192.1 to 248.6.255.254248.6.255.25516,382
29248.7.0.0/18248.7.0.1 to 248.7.63.254248.7.63.25516,382
30248.7.64.0/18248.7.64.1 to 248.7.127.254248.7.127.25516,382
31248.7.128.0/18248.7.128.1 to 248.7.191.254248.7.191.25516,382
32248.7.192.0/18248.7.192.1 to 248.7.255.254248.7.255.25516,382
33248.8.0.0/18248.8.0.1 to 248.8.63.254248.8.63.25516,382
34248.8.64.0/18248.8.64.1 to 248.8.127.254248.8.127.25516,382
35248.8.128.0/18248.8.128.1 to 248.8.191.254248.8.191.25516,382
36248.8.192.0/18248.8.192.1 to 248.8.255.254248.8.255.25516,382
37248.9.0.0/18248.9.0.1 to 248.9.63.254248.9.63.25516,382
38248.9.64.0/18248.9.64.1 to 248.9.127.254248.9.127.25516,382
39248.9.128.0/18248.9.128.1 to 248.9.191.254248.9.191.25516,382
40248.9.192.0/18248.9.192.1 to 248.9.255.254248.9.255.25516,382
41248.10.0.0/18248.10.0.1 to 248.10.63.254248.10.63.25516,382
42248.10.64.0/18248.10.64.1 to 248.10.127.254248.10.127.25516,382
43248.10.128.0/18248.10.128.1 to 248.10.191.254248.10.191.25516,382
44248.10.192.0/18248.10.192.1 to 248.10.255.254248.10.255.25516,382
45248.11.0.0/18248.11.0.1 to 248.11.63.254248.11.63.25516,382
46248.11.64.0/18248.11.64.1 to 248.11.127.254248.11.127.25516,382
47248.11.128.0/18248.11.128.1 to 248.11.191.254248.11.191.25516,382
48248.11.192.0/18248.11.192.1 to 248.11.255.254248.11.255.25516,382
49248.12.0.0/18248.12.0.1 to 248.12.63.254248.12.63.25516,382
50248.12.64.0/18248.12.64.1 to 248.12.127.254248.12.127.25516,382
51248.12.128.0/18248.12.128.1 to 248.12.191.254248.12.191.25516,382
52248.12.192.0/18248.12.192.1 to 248.12.255.254248.12.255.25516,382
53248.13.0.0/18248.13.0.1 to 248.13.63.254248.13.63.25516,382
54248.13.64.0/18248.13.64.1 to 248.13.127.254248.13.127.25516,382
55248.13.128.0/18248.13.128.1 to 248.13.191.254248.13.191.25516,382
56248.13.192.0/18248.13.192.1 to 248.13.255.254248.13.255.25516,382
57248.14.0.0/18248.14.0.1 to 248.14.63.254248.14.63.25516,382
58248.14.64.0/18248.14.64.1 to 248.14.127.254248.14.127.25516,382
59248.14.128.0/18248.14.128.1 to 248.14.191.254248.14.191.25516,382
60248.14.192.0/18248.14.192.1 to 248.14.255.254248.14.255.25516,382
61248.15.0.0/18248.15.0.1 to 248.15.63.254248.15.63.25516,382
62248.15.64.0/18248.15.64.1 to 248.15.127.254248.15.127.25516,382
63248.15.128.0/18248.15.128.1 to 248.15.191.254248.15.191.25516,382
64248.15.192.0/18248.15.192.1 to 248.15.255.254248.15.255.25516,382
65248.16.0.0/18248.16.0.1 to 248.16.63.254248.16.63.25516,382
66248.16.64.0/18248.16.64.1 to 248.16.127.254248.16.127.25516,382
67248.16.128.0/18248.16.128.1 to 248.16.191.254248.16.191.25516,382
68248.16.192.0/18248.16.192.1 to 248.16.255.254248.16.255.25516,382
69248.17.0.0/18248.17.0.1 to 248.17.63.254248.17.63.25516,382
70248.17.64.0/18248.17.64.1 to 248.17.127.254248.17.127.25516,382
71248.17.128.0/18248.17.128.1 to 248.17.191.254248.17.191.25516,382
72248.17.192.0/18248.17.192.1 to 248.17.255.254248.17.255.25516,382
73248.18.0.0/18248.18.0.1 to 248.18.63.254248.18.63.25516,382
74248.18.64.0/18248.18.64.1 to 248.18.127.254248.18.127.25516,382
75248.18.128.0/18248.18.128.1 to 248.18.191.254248.18.191.25516,382
76248.18.192.0/18248.18.192.1 to 248.18.255.254248.18.255.25516,382
77248.19.0.0/18248.19.0.1 to 248.19.63.254248.19.63.25516,382
78248.19.64.0/18248.19.64.1 to 248.19.127.254248.19.127.25516,382
79248.19.128.0/18248.19.128.1 to 248.19.191.254248.19.191.25516,382
80248.19.192.0/18248.19.192.1 to 248.19.255.254248.19.255.25516,382
81248.20.0.0/18248.20.0.1 to 248.20.63.254248.20.63.25516,382
82248.20.64.0/18248.20.64.1 to 248.20.127.254248.20.127.25516,382
83248.20.128.0/18248.20.128.1 to 248.20.191.254248.20.191.25516,382
84248.20.192.0/18248.20.192.1 to 248.20.255.254248.20.255.25516,382
85248.21.0.0/18248.21.0.1 to 248.21.63.254248.21.63.25516,382
86248.21.64.0/18248.21.64.1 to 248.21.127.254248.21.127.25516,382
87248.21.128.0/18248.21.128.1 to 248.21.191.254248.21.191.25516,382
88248.21.192.0/18248.21.192.1 to 248.21.255.254248.21.255.25516,382
89248.22.0.0/18248.22.0.1 to 248.22.63.254248.22.63.25516,382
90248.22.64.0/18248.22.64.1 to 248.22.127.254248.22.127.25516,382
91248.22.128.0/18248.22.128.1 to 248.22.191.254248.22.191.25516,382
92248.22.192.0/18248.22.192.1 to 248.22.255.254248.22.255.25516,382
93248.23.0.0/18248.23.0.1 to 248.23.63.254248.23.63.25516,382
94248.23.64.0/18248.23.64.1 to 248.23.127.254248.23.127.25516,382
95248.23.128.0/18248.23.128.1 to 248.23.191.254248.23.191.25516,382
96248.23.192.0/18248.23.192.1 to 248.23.255.254248.23.255.25516,382
97248.24.0.0/18248.24.0.1 to 248.24.63.254248.24.63.25516,382
98248.24.64.0/18248.24.64.1 to 248.24.127.254248.24.127.25516,382
99248.24.128.0/18248.24.128.1 to 248.24.191.254248.24.191.25516,382
100248.24.192.0/18248.24.192.1 to 248.24.255.254248.24.255.25516,382
101248.25.0.0/18248.25.0.1 to 248.25.63.254248.25.63.25516,382
102248.25.64.0/18248.25.64.1 to 248.25.127.254248.25.127.25516,382
103248.25.128.0/18248.25.128.1 to 248.25.191.254248.25.191.25516,382
104248.25.192.0/18248.25.192.1 to 248.25.255.254248.25.255.25516,382
105248.26.0.0/18248.26.0.1 to 248.26.63.254248.26.63.25516,382
106248.26.64.0/18248.26.64.1 to 248.26.127.254248.26.127.25516,382
107248.26.128.0/18248.26.128.1 to 248.26.191.254248.26.191.25516,382
108248.26.192.0/18248.26.192.1 to 248.26.255.254248.26.255.25516,382
109248.27.0.0/18248.27.0.1 to 248.27.63.254248.27.63.25516,382
110248.27.64.0/18248.27.64.1 to 248.27.127.254248.27.127.25516,382
111248.27.128.0/18248.27.128.1 to 248.27.191.254248.27.191.25516,382
112248.27.192.0/18248.27.192.1 to 248.27.255.254248.27.255.25516,382
113248.28.0.0/18248.28.0.1 to 248.28.63.254248.28.63.25516,382
114248.28.64.0/18248.28.64.1 to 248.28.127.254248.28.127.25516,382
115248.28.128.0/18248.28.128.1 to 248.28.191.254248.28.191.25516,382
116248.28.192.0/18248.28.192.1 to 248.28.255.254248.28.255.25516,382
117248.29.0.0/18248.29.0.1 to 248.29.63.254248.29.63.25516,382
118248.29.64.0/18248.29.64.1 to 248.29.127.254248.29.127.25516,382
119248.29.128.0/18248.29.128.1 to 248.29.191.254248.29.191.25516,382
120248.29.192.0/18248.29.192.1 to 248.29.255.254248.29.255.25516,382
121248.30.0.0/18248.30.0.1 to 248.30.63.254248.30.63.25516,382
122248.30.64.0/18248.30.64.1 to 248.30.127.254248.30.127.25516,382
123248.30.128.0/18248.30.128.1 to 248.30.191.254248.30.191.25516,382
124248.30.192.0/18248.30.192.1 to 248.30.255.254248.30.255.25516,382
125248.31.0.0/18248.31.0.1 to 248.31.63.254248.31.63.25516,382
126248.31.64.0/18248.31.64.1 to 248.31.127.254248.31.127.25516,382
127248.31.128.0/18248.31.128.1 to 248.31.191.254248.31.191.25516,382
128248.31.192.0/18248.31.192.1 to 248.31.255.254248.31.255.25516,382
129248.32.0.0/18248.32.0.1 to 248.32.63.254248.32.63.25516,382
130248.32.64.0/18248.32.64.1 to 248.32.127.254248.32.127.25516,382
131248.32.128.0/18248.32.128.1 to 248.32.191.254248.32.191.25516,382
132248.32.192.0/18248.32.192.1 to 248.32.255.254248.32.255.25516,382
133248.33.0.0/18248.33.0.1 to 248.33.63.254248.33.63.25516,382
134248.33.64.0/18248.33.64.1 to 248.33.127.254248.33.127.25516,382
135248.33.128.0/18248.33.128.1 to 248.33.191.254248.33.191.25516,382
136248.33.192.0/18248.33.192.1 to 248.33.255.254248.33.255.25516,382
137248.34.0.0/18248.34.0.1 to 248.34.63.254248.34.63.25516,382
138248.34.64.0/18248.34.64.1 to 248.34.127.254248.34.127.25516,382
139248.34.128.0/18248.34.128.1 to 248.34.191.254248.34.191.25516,382
140248.34.192.0/18248.34.192.1 to 248.34.255.254248.34.255.25516,382
141248.35.0.0/18248.35.0.1 to 248.35.63.254248.35.63.25516,382
142248.35.64.0/18248.35.64.1 to 248.35.127.254248.35.127.25516,382
143248.35.128.0/18248.35.128.1 to 248.35.191.254248.35.191.25516,382
144248.35.192.0/18248.35.192.1 to 248.35.255.254248.35.255.25516,382
145248.36.0.0/18248.36.0.1 to 248.36.63.254248.36.63.25516,382
146248.36.64.0/18248.36.64.1 to 248.36.127.254248.36.127.25516,382
147248.36.128.0/18248.36.128.1 to 248.36.191.254248.36.191.25516,382
148248.36.192.0/18248.36.192.1 to 248.36.255.254248.36.255.25516,382
149248.37.0.0/18248.37.0.1 to 248.37.63.254248.37.63.25516,382
150248.37.64.0/18248.37.64.1 to 248.37.127.254248.37.127.25516,382
151248.37.128.0/18248.37.128.1 to 248.37.191.254248.37.191.25516,382
152248.37.192.0/18248.37.192.1 to 248.37.255.254248.37.255.25516,382
153248.38.0.0/18248.38.0.1 to 248.38.63.254248.38.63.25516,382
154248.38.64.0/18248.38.64.1 to 248.38.127.254248.38.127.25516,382
155248.38.128.0/18248.38.128.1 to 248.38.191.254248.38.191.25516,382
156248.38.192.0/18248.38.192.1 to 248.38.255.254248.38.255.25516,382
157248.39.0.0/18248.39.0.1 to 248.39.63.254248.39.63.25516,382
158248.39.64.0/18248.39.64.1 to 248.39.127.254248.39.127.25516,382
159248.39.128.0/18248.39.128.1 to 248.39.191.254248.39.191.25516,382
160248.39.192.0/18248.39.192.1 to 248.39.255.254248.39.255.25516,382
161248.40.0.0/18248.40.0.1 to 248.40.63.254248.40.63.25516,382
162248.40.64.0/18248.40.64.1 to 248.40.127.254248.40.127.25516,382
163248.40.128.0/18248.40.128.1 to 248.40.191.254248.40.191.25516,382
164248.40.192.0/18248.40.192.1 to 248.40.255.254248.40.255.25516,382
165248.41.0.0/18248.41.0.1 to 248.41.63.254248.41.63.25516,382
166248.41.64.0/18248.41.64.1 to 248.41.127.254248.41.127.25516,382
167248.41.128.0/18248.41.128.1 to 248.41.191.254248.41.191.25516,382
168248.41.192.0/18248.41.192.1 to 248.41.255.254248.41.255.25516,382
169248.42.0.0/18248.42.0.1 to 248.42.63.254248.42.63.25516,382
170248.42.64.0/18248.42.64.1 to 248.42.127.254248.42.127.25516,382
171248.42.128.0/18248.42.128.1 to 248.42.191.254248.42.191.25516,382
172248.42.192.0/18248.42.192.1 to 248.42.255.254248.42.255.25516,382
173248.43.0.0/18248.43.0.1 to 248.43.63.254248.43.63.25516,382
174248.43.64.0/18248.43.64.1 to 248.43.127.254248.43.127.25516,382
175248.43.128.0/18248.43.128.1 to 248.43.191.254248.43.191.25516,382
176248.43.192.0/18248.43.192.1 to 248.43.255.254248.43.255.25516,382
177248.44.0.0/18248.44.0.1 to 248.44.63.254248.44.63.25516,382
178248.44.64.0/18248.44.64.1 to 248.44.127.254248.44.127.25516,382
179248.44.128.0/18248.44.128.1 to 248.44.191.254248.44.191.25516,382
180248.44.192.0/18248.44.192.1 to 248.44.255.254248.44.255.25516,382
181248.45.0.0/18248.45.0.1 to 248.45.63.254248.45.63.25516,382
182248.45.64.0/18248.45.64.1 to 248.45.127.254248.45.127.25516,382
183248.45.128.0/18248.45.128.1 to 248.45.191.254248.45.191.25516,382
184248.45.192.0/18248.45.192.1 to 248.45.255.254248.45.255.25516,382
185248.46.0.0/18248.46.0.1 to 248.46.63.254248.46.63.25516,382
186248.46.64.0/18248.46.64.1 to 248.46.127.254248.46.127.25516,382
187248.46.128.0/18248.46.128.1 to 248.46.191.254248.46.191.25516,382
188248.46.192.0/18248.46.192.1 to 248.46.255.254248.46.255.25516,382
189248.47.0.0/18248.47.0.1 to 248.47.63.254248.47.63.25516,382
190248.47.64.0/18248.47.64.1 to 248.47.127.254248.47.127.25516,382
191248.47.128.0/18248.47.128.1 to 248.47.191.254248.47.191.25516,382
192248.47.192.0/18248.47.192.1 to 248.47.255.254248.47.255.25516,382
193248.48.0.0/18248.48.0.1 to 248.48.63.254248.48.63.25516,382
194248.48.64.0/18248.48.64.1 to 248.48.127.254248.48.127.25516,382
195248.48.128.0/18248.48.128.1 to 248.48.191.254248.48.191.25516,382
196248.48.192.0/18248.48.192.1 to 248.48.255.254248.48.255.25516,382
197248.49.0.0/18248.49.0.1 to 248.49.63.254248.49.63.25516,382
198248.49.64.0/18248.49.64.1 to 248.49.127.254248.49.127.25516,382
199248.49.128.0/18248.49.128.1 to 248.49.191.254248.49.191.25516,382
200248.49.192.0/18248.49.192.1 to 248.49.255.254248.49.255.25516,382
201248.50.0.0/18248.50.0.1 to 248.50.63.254248.50.63.25516,382
202248.50.64.0/18248.50.64.1 to 248.50.127.254248.50.127.25516,382
203248.50.128.0/18248.50.128.1 to 248.50.191.254248.50.191.25516,382
204248.50.192.0/18248.50.192.1 to 248.50.255.254248.50.255.25516,382
205248.51.0.0/18248.51.0.1 to 248.51.63.254248.51.63.25516,382
206248.51.64.0/18248.51.64.1 to 248.51.127.254248.51.127.25516,382
207248.51.128.0/18248.51.128.1 to 248.51.191.254248.51.191.25516,382
208248.51.192.0/18248.51.192.1 to 248.51.255.254248.51.255.25516,382
209248.52.0.0/18248.52.0.1 to 248.52.63.254248.52.63.25516,382
210248.52.64.0/18248.52.64.1 to 248.52.127.254248.52.127.25516,382
211248.52.128.0/18248.52.128.1 to 248.52.191.254248.52.191.25516,382
212248.52.192.0/18248.52.192.1 to 248.52.255.254248.52.255.25516,382
213248.53.0.0/18248.53.0.1 to 248.53.63.254248.53.63.25516,382
214248.53.64.0/18248.53.64.1 to 248.53.127.254248.53.127.25516,382
215248.53.128.0/18248.53.128.1 to 248.53.191.254248.53.191.25516,382
216248.53.192.0/18248.53.192.1 to 248.53.255.254248.53.255.25516,382
217248.54.0.0/18248.54.0.1 to 248.54.63.254248.54.63.25516,382
218248.54.64.0/18248.54.64.1 to 248.54.127.254248.54.127.25516,382
219248.54.128.0/18248.54.128.1 to 248.54.191.254248.54.191.25516,382
220248.54.192.0/18248.54.192.1 to 248.54.255.254248.54.255.25516,382
221248.55.0.0/18248.55.0.1 to 248.55.63.254248.55.63.25516,382
222248.55.64.0/18248.55.64.1 to 248.55.127.254248.55.127.25516,382
223248.55.128.0/18248.55.128.1 to 248.55.191.254248.55.191.25516,382
224248.55.192.0/18248.55.192.1 to 248.55.255.254248.55.255.25516,382
225248.56.0.0/18248.56.0.1 to 248.56.63.254248.56.63.25516,382
226248.56.64.0/18248.56.64.1 to 248.56.127.254248.56.127.25516,382
227248.56.128.0/18248.56.128.1 to 248.56.191.254248.56.191.25516,382
228248.56.192.0/18248.56.192.1 to 248.56.255.254248.56.255.25516,382
229248.57.0.0/18248.57.0.1 to 248.57.63.254248.57.63.25516,382
230248.57.64.0/18248.57.64.1 to 248.57.127.254248.57.127.25516,382
231248.57.128.0/18248.57.128.1 to 248.57.191.254248.57.191.25516,382
232248.57.192.0/18248.57.192.1 to 248.57.255.254248.57.255.25516,382
233248.58.0.0/18248.58.0.1 to 248.58.63.254248.58.63.25516,382
234248.58.64.0/18248.58.64.1 to 248.58.127.254248.58.127.25516,382
235248.58.128.0/18248.58.128.1 to 248.58.191.254248.58.191.25516,382
236248.58.192.0/18248.58.192.1 to 248.58.255.254248.58.255.25516,382
237248.59.0.0/18248.59.0.1 to 248.59.63.254248.59.63.25516,382
238248.59.64.0/18248.59.64.1 to 248.59.127.254248.59.127.25516,382
239248.59.128.0/18248.59.128.1 to 248.59.191.254248.59.191.25516,382
240248.59.192.0/18248.59.192.1 to 248.59.255.254248.59.255.25516,382
241248.60.0.0/18248.60.0.1 to 248.60.63.254248.60.63.25516,382
242248.60.64.0/18248.60.64.1 to 248.60.127.254248.60.127.25516,382
243248.60.128.0/18248.60.128.1 to 248.60.191.254248.60.191.25516,382
244248.60.192.0/18248.60.192.1 to 248.60.255.254248.60.255.25516,382
245248.61.0.0/18248.61.0.1 to 248.61.63.254248.61.63.25516,382
246248.61.64.0/18248.61.64.1 to 248.61.127.254248.61.127.25516,382
247248.61.128.0/18248.61.128.1 to 248.61.191.254248.61.191.25516,382
248248.61.192.0/18248.61.192.1 to 248.61.255.254248.61.255.25516,382
249248.62.0.0/18248.62.0.1 to 248.62.63.254248.62.63.25516,382
250248.62.64.0/18248.62.64.1 to 248.62.127.254248.62.127.25516,382
251248.62.128.0/18248.62.128.1 to 248.62.191.254248.62.191.25516,382
252248.62.192.0/18248.62.192.1 to 248.62.255.254248.62.255.25516,382
253248.63.0.0/18248.63.0.1 to 248.63.63.254248.63.63.25516,382
254248.63.64.0/18248.63.64.1 to 248.63.127.254248.63.127.25516,382
255248.63.128.0/18248.63.128.1 to 248.63.191.254248.63.191.25516,382
256248.63.192.0/18248.63.192.1 to 248.63.255.254248.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses